% Generated by roxygen2 (4.0.2): do not edit by hand
\name{getWQPData}
\alias{getWQPData}
\title{Data Import from Water Quality Portal}
\usage{
getWQPData(siteNumber, characteristicName, startDate, endDate,
  interactive = TRUE)
}
\arguments{
\item{siteNumber}{string site number.  If USGS, it should be in the form :'USGS-XXXXXXXXX...'}

\item{characteristicName}{string}

\item{startDate}{string starting date for data retrieval in the form YYYY-MM-DD.}

\item{endDate}{string ending date for data retrieval in the form YYYY-MM-DD.}

\item{interactive}{logical Option for interactive mode.  If true, there is user interaction for error handling and data checks.}
}
\value{
retval dataframe with first column dateTime, and at least one qualifier and value columns
(subsequent qualifier/value columns could follow depending on requested parameter codes)
}
\description{
Imports data from Water Quality Portal web service. This function gets the data from: \url{http://www.waterqualitydata.us}. This function is more general than getQWData
because it allows for other agencies rather than the USGS.  Therefore, the 5-digit parameter code cannot be used.
Instead, this function uses characteristicName.  A complete list can be found here
}
\examples{
# These examples require an internet connection to run
Chloride <- getWQPData('USGS-01594440','Chloride', '', '')
SC <- getWQPData('WIDNR_WQX-10032762','Specific conductance', '', '')
NWIS_Cl <- getWQPData('USGS-04024000','30234', '', '')
MultipleQW <- getWQPData('USGS-04024000',c('30234','90095'), '', '')
}
\keyword{WQP}
\keyword{data}
\keyword{import}
\keyword{service}
\keyword{web}

